# DS Static Node-Reference Field

[DS Static Node-Reference Field](https://www.drupal.org/sandbox/rcuny/2776635) module
allows the creation of custom Display Suite fields that render existing nodes.

## Requirements

* Drupal 8
* [Display Suite](https://www.drupal.org/project/ds) module

## Installation

DS Static Node-Reference Field can be installed via the [standard Drupal installation process]
(https://www.drupal.org/documentation/install/modules-themes/modules-8).

## Use-case

Let's assume you use Display Suite as your main layout engine. You have 
several node types, and all of them display a "Contact information" 
block on the sidebar of the content area.

To make the site easy to maintain for your editor, "Contact information" 
is actually a node: node/123 (you created a "Contact" node-type) that 
has some fields with all the information.

With [DS Static Node-Reference Field](https://www.drupal.org/sandbox/rcuny/2776635) module, 
you can create a Display Suite that will hold a static reference to 
node/123, then place this field anywhere you want on your DS View Modes.

## Configuration

* Install and enable [Display Suite](https://www.drupal.org/project/ds) module.
* Install and enable [DS Static Node-Reference Field](https://www.drupal.org/sandbox/rcuny/2776635) module.
* Go to Display Suite 'Fields' configuration page: `/admin/structure/ds/fields`,
  then for each node that you want to create a static reference to,
  do the following:
  * Click **Add a static node reference field**
  * Give your new field a label, ex: "General contact information"
  * Select for which entities this field will be made available (simply
    check **Node** if you don't know what this is about).    
  * In the Node field, select one of your existing nodes.
* Now, go to one of your content type 'Manage Display' configuration page,
  ex: /admin/structure/types/manage/page/display
  * Be sure that a Layout is selected at the bottom of the configuration page
  (see message: *"A layout must be selected to enable Display Suite functionality."*)
  * Then, simply place your newly created Display Suite field wherever 
  you like on the page.
  * Select a view mode for your new field's - this will be the view mode
  used to rendered your node. This gives you all the DS flexibility.
    
## Maintainer/Sponsor

The development and maintenance of this module is supported by the  [OSCE](https://www.drupal.org/osce-organization-for-security-and-co-operation-in-europe) 
(Organization for Security and Co-operation in Europe).

Current maintainer: [Renaud Cuny](https://www.drupal.org/u/renaudcuny)
